Skip to main content
GET
/
conversations
List conversations
curl --request GET \
  --url https://api.veryfront.com/conversations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "messageCount": 123,
      "createdBy": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "projectId": "<string>",
      "title": "<string>",
      "summary": "<string>",
      "currentNode": "<string>",
      "lastMessageAt": "<string>",
      "metadata": null,
      "agentId": "<string>",
      "runtimeTargetKind": "<string>",
      "runtimeTargetEnvironmentId": "<string>",
      "runtimeTargetBranchId": "<string>",
      "archivedAt": "<string>"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Query Parameters

projectId
string<uuid>

Filter by project ID

type
enum<string>

Filter by conversation type

Available options:
chat,
agent_task,
support,
channel,
project_agent
first
number

Page size (default 20, max 100)

Required range: 1 <= x <= 100
after
string

Cursor for pagination

Response

Conversation list

items
object[]
required
hasMore
boolean
required
nextCursor
string | null